Mac OS X Catalina install problems

catesr
New Member

Mac OS X Catalina install problems

Hello. I have several teachers who are on Mac OS X 10.15 Catalina and they cannot install PowerTeacher Gradebook on their machines. Everytime we download the dmg (this is v2.8 btw) we get a message that says "Error copying to /Users/someone/Applications, possibly due to insufficient permissions". This is the Users own home folder so they do indeed have permission to install into it. Any ideas? Thank You.

27 Replies
bobby74213
Rookie

You can download the app here and place it in your Applications folder.

LauraC31
Rookie

Has anyone found a similar solution for ReportWorks?  I've worked in the Terminal, allowed the download by bypassing the security settings, everything.  I still can't get it to work.

kdemlinger
Rookie

Why is it this complicated to perform a simple update?  This doesn't work in general or the thread would end here.  Just admit you don't have the answer either.  

BrianA8
Community Moderator
Community Moderator

I personal don't have an answer to this thread, I'm personally am on Catalina 10.15.7 and have installed PTG as part of multiple release tests over the last year. It's possible that administrator permissions or anti-virus/malware protection is preventing the install on the Mac's where the install results in an error.

 

What I can say is that PowerTeacher Gradebook (PTG) is being EOL'd (End of Life) for the Back To School (BTS) 2022 release, at which point PTG functionality will be removed from the SIS.

 

A notice went out recently in regard to this and the following statement is included on each of the Release Notes:

 

PowerTeacher Gradebook will be removed from PowerSchool SIS with the 22.4 release. To ensure that teachers can start using the more advanced features in PowerTeacher Pro Gradebook when you update PowerSchool SIS, make a plan to transition to PowerTeacher Pro Gradebook by the beginning of the 2022-2023 School Year.


Brian Andle
Principal Software Engineer II, PS SIS Escalations
Onix1
Trainee

  • Do you have good internet connection?
  • Is your account managed by an administrator?
  • Do you have a linked account with Google, Yahoo, Facebook, ect.

     

LauraC31
Rookie

Yes, I have a good internet connection.

 

Can you clarify which account should be managed by an administrator?  My computer profile?  No - I am the admin.

 

I have several Google accounts, but I don't use them with PowerSchool.  Can you clarify what you mean there?

nevaneva86
Recruit

The new installer just won't work even following the steps on thread and error message of "Error copying to /Users/someone/Applications, possibly due to insufficient permissions". appears despite allowing and changing permissions. However, if you have previously installed the older version you can run old launch from google PowerTeacher where attendance is taken. Once it is open you can click on the icon and select keep on doc, so you don't have to keep going that route again to simply get to the application.